<?xml version="1.0"?>
<opencv_storage>
<Settings>

<!-- {1,3,7.0,55,39},{4,6,14.0,43,31},{7,9,28.0,37,29} -->
  <Circle_Board_Info> "{1,3,14.0,59,45}"</Circle_Board_Info>
  <Board_First_Point>1</Board_First_Point>
  <Enable_Distortion_Correct>2</Enable_Distortion_Correct>

  <Distortion_Calibration_setting>"1,5,5,8,6"</Distortion_Calibration_setting>
  <FrontAngleThreshold>0.12</FrontAngleThreshold>
  <BSFittingThreshold>0.15</BSFittingThreshold>
  <ZRotateThreshold>0.12</ZRotateThreshold>
  <Bs_Detect_Circle>1</Bs_Detect_Circle>

  <Train_Image>"1,3"</Train_Image>
  <Test_Image>""</Test_Image>
  <Train_Begin>1</Train_Begin>
  <Train_End>6</Train_End>
  <Test_Begin>1</Test_Begin>
  <Test_End>6</Test_End>
  <Binary_Info> ""</Binary_Info>
  <Binary_Method>2</Binary_Method>
  <Binary_Threshold>100</Binary_Threshold>
  <InputImagesFile>""</InputImagesFile>
  <Calibrate_Pattern>"ASYMMETRIC_CIRCLES_GRID"</Calibrate_Pattern>
  <Debug_Level>0</Debug_Level>
  <DetectionAlgorithm>3</DetectionAlgorithm>
  <Train_Image_Combine_M>0</Train_Image_Combine_M>
  <Train_Image_Combine>"{1,3}"</Train_Image_Combine>
  <Corners_Points_Src>0</Corners_Points_Src>
  <Write_outputFileName>"out_camera_data"</Write_outputFileName>
  <Module_Name>"001"</Module_Name>

  <HW_CalibChart_Version>-1</HW_CalibChart_Version>
  <HW_Calib_Version>3</HW_Calib_Version>
  <Board_Distance_Num>1</Board_Distance_Num>
  <Photos_In_One_Distance>"3"</Photos_In_One_Distance>
  <Board_Distance>"120"</Board_Distance>
  <OTP_Buffer_Size>9918</OTP_Buffer_Size>

   <!-- FOV_Check_Distance:distance for check Fov:1-15cm,2-30cm,3-60/80cm. -->
   <FOV_Check_Distance>"1"</FOV_Check_Distance>
   <!-- FOV_Resolution for calc Fov -->
   <FOV_Resolution>"960,720"</FOV_Resolution>

   <!-- Depth_Check_Distance:distance for check depth:1-15cm,2-30cm,3-60/80cm. -->
   <Depth_Check_Distance>""</Depth_Check_Distance>

   <!-- Check_Distance:distance for check:1-15cm,2-30cm,3-60/80cm. -->
   <Check_Distance>"1"</Check_Distance>
   <!-- Camera_Valid_Params  distance,fov,optical center(x,y)(pixel),distence between two optical center ,shift(x,y,z)(mm),rotation(x,y,z)(degree),distance num(1-dist1,2-dist2,3-dist3,no use here),dist1,dist2,dist3. -->
   <Camera_Params>"{120,0,800.0,600.0,800.0,600.0,0,0,15.35,0,-6.5,0.0,0.0,0.0,22.68,55.08,98.28}"</Camera_Params>
   <!-- Camera_Valid_Threshold  distance,fov,optical center(x,y)(pixel),distence between two optical center shift(x,y,z)(mm),rotation(x,y,z)(degree),dist1_valid_percent,dist2_valid_percent,dist3_valid_percent. -->
   <Camera_Params_Threshold>"{120,90,100.0,100.0,100.0,100.0,150.0,150.0,10.0,10.0,10.0,8.0,8.0,8.0,17.48,45.08,81.88}"</Camera_Params_Threshold>
   <Focus_Angle>90</Focus_Angle>
   <CAPTURE_DELAY>500</CAPTURE_DELAY>
   <Fix_Exposure_Time>8000 6000</Fix_Exposure_Time>
   <Fix_ISO>150 150</Fix_ISO>
   <!-- Pass_Switch 0 means off -->
   <Pass_Switch>0</Pass_Switch>
   <!-- AF_Mode 1 means AF mode is On -->
   <AF_Mode>0</AF_Mode>
   <!-- Crop Region Otp buffer check Switch 0 means off -->
   <Rob_Check_Switch>0</Rob_Check_Switch>
   <!-- Crop Region Otp buffer check list: multicameraid x y width height rawwidth rawheight -->
   <Rob_Check_List>"{8,0,0,3264,2448,3264,2448,2,1024,768,1600,1200,3648,2736}"</Rob_Check_List>
</Settings>
</opencv_storage>
